<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__dma__channel__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_dma_channel_config_t</compoundname>
    <includes local="no">cy_dma.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__dma__channel__config__t_1affb21592ad211337c0830967d5687660" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__dma__descriptor__t">cy_stc_dma_descriptor_t</ref> *</type>
        <definition>cy_stc_dma_descriptor_t* cy_stc_dma_channel_config_t::descriptor</definition>
        <argsstring />
        <name>descriptor</name>
        <briefdescription>
<para>The DMA descriptor associated with the channel being initialized. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="448" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="448" />
      </memberdef>
      <memberdef id="structcy__stc__dma__channel__config__t_1aab3204617ecee2a57b1f76832966227d" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_dma_channel_config_t::preemptable</definition>
        <argsstring />
        <name>preemptable</name>
        <briefdescription>
<para>Specifies whether the channel is preemptable by another higher-priority channel. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="449" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="449" />
      </memberdef>
      <memberdef id="structcy__stc__dma__channel__config__t_1a9a07d731b77cdc04d104cb227392377f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_dma_channel_config_t::priority</definition>
        <argsstring />
        <name>priority</name>
        <briefdescription>
<para>This parameter specifies the channel's priority. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="450" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="450" />
      </memberdef>
      <memberdef id="structcy__stc__dma__channel__config__t_1a018bbd8e3039b78ad16f9c0536dde3c0" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_dma_channel_config_t::enable</definition>
        <argsstring />
        <name>enable</name>
        <briefdescription>
<para>This parameter specifies whether the channel is enabled after initializing. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="451" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="451" />
      </memberdef>
      <memberdef id="structcy__stc__dma__channel__config__t_1aa40017613f97a28e2802e072fdf38817" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_dma_channel_config_t::bufferable</definition>
        <argsstring />
        <name>bufferable</name>
        <briefdescription>
<para>This parameter specifies whether a write transaction can complete. </para>        </briefdescription>
        <detaileddescription>
<para>without waiting for the destination to accept the write transaction data. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="452" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="452" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This structure holds the initialization values for the DMA channel. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="148">
        <label>cy_stc_dma_descriptor_t</label>
        <link refid="structcy__stc__dma__descriptor__t" />
      </node>
      <node id="147">
        <label>cy_stc_dma_channel_config_t</label>
        <link refid="structcy__stc__dma__channel__config__t" />
        <childnode refid="148" relation="usage">
          <edgelabel>descriptor</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="454" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="446" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="447" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__dma__channel__config__t_1aa40017613f97a28e2802e072fdf38817" virt="non-virtual"><scope>cy_stc_dma_channel_config_t</scope><name>bufferable</name></member>
      <member prot="public" refid="structcy__stc__dma__channel__config__t_1affb21592ad211337c0830967d5687660" virt="non-virtual"><scope>cy_stc_dma_channel_config_t</scope><name>descriptor</name></member>
      <member prot="public" refid="structcy__stc__dma__channel__config__t_1a018bbd8e3039b78ad16f9c0536dde3c0" virt="non-virtual"><scope>cy_stc_dma_channel_config_t</scope><name>enable</name></member>
      <member prot="public" refid="structcy__stc__dma__channel__config__t_1aab3204617ecee2a57b1f76832966227d" virt="non-virtual"><scope>cy_stc_dma_channel_config_t</scope><name>preemptable</name></member>
      <member prot="public" refid="structcy__stc__dma__channel__config__t_1a9a07d731b77cdc04d104cb227392377f" virt="non-virtual"><scope>cy_stc_dma_channel_config_t</scope><name>priority</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>